## org.apache.axis.wsdl.symbolTable
Class Element

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.SymTabEntry
            |
            +--org.apache.axis.wsdl.symbolTable.TypeEntry
                  |
                  +--org.apache.axis.wsdl.symbolTable.Element

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DefinedElement, UndefinedElement

public abstract class Element
extends TypeEntry

This class represents a TypeEntry that is a type (complexType, simpleType, etc.

Author:
  Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`dims, isBaseType, isSimpleType, node, onlyLiteralReference, refType, undefined`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`protected` `Element(QName pqName, org.w3c.dom.Node pNode)` Create a Element object for an xml construct that is not a base java type
`protected` `Element(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Create an Element object for an xml construct that references a type that has not been defined yet.

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`getBaseType, getDimensions, getNode, getRefType, getUndefinedTypeRef, isBaseType, isOnlyLiteralReferenced, isSimpleType, setOnlyLiteralReference, setRefType, setSimpleType, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    protected Element(QName pqName,
                      TypeEntry refType,
                      org.w3c.dom.Node pNode,
                      java.lang.String dims)

  Create an Element object for an xml construct that references a type that has not been defined yet. Defer processing until refType is known.

### Element

    protected Element(QName pqName,
                      org.w3c.dom.Node pNode)

  Create a Element object for an xml construct that is not a base java type

Copyright © 2003 Apache Web Services Project. All Rights Reserved.